Batch cancel orders
curl --request DELETE \
--url https://api.orderly.org/v1/batch-order \
--header 'orderly-account-id: <orderly-account-id>' \
--header 'orderly-key: <orderly-key>' \
--header 'orderly-signature: <orderly-signature>' \
--header 'orderly-timestamp: <orderly-timestamp>'import requests
url = "https://api.orderly.org/v1/batch-order"
headers = {
"orderly-timestamp": "<orderly-timestamp>",
"orderly-account-id": "<orderly-account-id>",
"orderly-key": "<orderly-key>",
"orderly-signature": "<orderly-signature>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'orderly-timestamp': '<orderly-timestamp>',
'orderly-account-id': '<orderly-account-id>',
'orderly-key': '<orderly-key>',
'orderly-signature': '<orderly-signature>'
}
};
fetch('https://api.orderly.org/v1/batch-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"status": "CANCEL_ALL_SENT"
},
"timestamp": 1702989203989
}Order management
Batch cancel orders
Limit: 10 requests per 1 second
DELETE /v1/batch-order?order_ids={order_id1},{order_id2}
Cancel a list of orders by order_ids. The maximum orders that can be cancelled within 1 batch cancel request is 10.
This endpoint will return invalid order_id error if 0 order_ids are given or all of the given order_ids are invalid.
Note: This endpoint requires trading scope in orderly key.
DELETE
/
v1
/
batch-order
Batch cancel orders
Headers
Timestamp of the signed request in milliseconds.
Account ID of the authenticated account.
Public orderly key used to sign the request.
Signature of the request payload generated with the orderly key.
Query Parameters
List of order_ids, comma-separated, with a maximum of 10 order ids per request.